Subject: Re: [mobile-ip] Mipv6 issue #139: 9.4.1 and 11.7.2 text in conflict about HAO inCN BUs

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 16 Oct 2002 19:22:22 -0700 (PDT)

> > So, we can write the above last bullet as:
> > 
> >       -  Otherwise, the home address is the Source Address field in the
> >           packet's IPv6 header if the lifetime field of the binding update
> >           is zero.   
> 
> What if the MN deletes the binding when not away from home?

The above case is for MN deleting entry while at home.

> 
> I think Jari's original text is simpler, clearer and a better
> parallel to the existing text on determining the care-of address.

There is a difference though from care-of-address here. MN can send
BU with lifetime=0  and ipv6-src-addr=coa (away from home) and with
a HOA option.
So, the point was whenever a BU is received without HAO option, should
the implementation just assume that the source addr of the IPv6 packet
is the home-address ? If so, Jari's original text is fine. I'd be nice
though if it clarifies that this situation is possible at de-registration
time only.

Thanks,
-Samita